> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numeral.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refunds for Transaction

> Retrieve the refunds for a specific transaction

## Get Refunds for Transaction Endpoint (2026-01-01)

Retrieve the refunds for a specific transaction using its ID.

<Note>
  Remember to include the `X-API-Version: 2026-01-01` header in your request to use this API version.
</Note>


## OpenAPI

````yaml GET /tax/transactions/{transaction_id}/refunds
openapi: 3.0.1
info:
  title: Numeral API
  description: API for sales tax calculations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.numeralhq.com/
security:
  - bearerAuth: []
paths:
  /tax/transactions/{transaction_id}/refunds:
    get:
      description: Retrieve the refunds for a specific transaction
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
          description: The transaction ID used to fetch associated refunds
      responses:
        '200':
          description: List of refunds for a specific transaction
          content:
            application/json:
              schema:
                type: object
                properties:
                  refunds:
                    type: array
                    items:
                      $ref: '#/components/schemas/RefundForTransactionResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RefundForTransactionResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the `refund`
          example: ref_tr_123456789
        object:
          type: string
          description: 'The type of object: `tax.refund`.'
          example: tax.refund
        testmode:
          type: boolean
          description: >-
            `True` if using a production API key. `False` if using a test API
            key.
          example: 'false'
        refund_processed_at:
          type: number
          description: >-
            Unix timestamp in **seconds** representing the date and time the
            refund was made. If not provided, the time the refund was created
            will be used.
          example: 1714787673
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/RefundTransactionLineItem'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            error_code:
              type: string
            error_message:
              type: string
            error_meta:
              type: object
              properties:
                field:
                  type: string
                expected:
                  type: string
                received:
                  type: string
        request_id:
          type: string
          description: The ID of the request
          example: req_123456789
      example:
        error:
          error_code: missing_field
          error_message: Field is required
          error_meta:
            field: path.to.fieldname
            expected: string
            received: undefined
    RefundTransactionLineItem:
      allOf:
        - $ref: '#/components/schemas/TransactionLineItem'
        - type: object
          properties:
            amount_including_tax:
              type: number
              format: int32
              example: -214
              description: >-
                The amount including tax, which should be a negative number for
                refunds.
            amount_excluding_tax:
              type: number
              format: int32
              example: -200
              description: >-
                The amount excluding tax, which should be a negative number for
                refunds.
            tax_amount:
              type: number
              format: int32
              example: -14
              description: The tax amount, which should be a negative number for refunds.
            quantity:
              type: number
              format: int32
              example: 2
              description: The quantity of this product being refunded.
    TransactionLineItem:
      type: object
      properties:
        product:
          type: object
          properties:
            reference_product_name:
              type: string
              example: Widget
            reference_line_item_id:
              type: string
              example: line_987654321
            reference_product_id:
              type: string
              example: p-1233543
            product_tax_code:
              type: string
              example: GENERAL_MERCHANDISE
        tax_jurisdictions:
          type: array
          items:
            type: object
            properties:
              tax_rate:
                description: The tax rate percentage applied to this transaction.
                type: number
                example: 0.07
              tax_due_decimal:
                type: number
                description: >-
                  Tax amount due for this jurisdiction in the currency's
                  smallest unit.
                example: 700
              rate_type:
                type: string
                description: Descriptive rate classification for this jurisdiction.
                example: GENERAL STATE SALES TAX
              fee_amount:
                description: >-
                  The flat fee that is added to this transaction. Like all
                  numeric values, this will be returned in cents and should be
                  added directly to the tax amount independent of other
                  percentages. For example, a $100 transaction taxed at 5% and
                  with a `fee_amount: 50` will lead to `($100 * 5% + 0.50) =
                  $5.50` in tax being charged 
                type: number
                example: 0
              tax_authority_name:
                type: string
                description: Name of the tax authority.
                example: Tennessee
              tax_authority_type:
                type: string
                description: Type of tax authority (e.g., STATE, COUNTY, CITY, DISTRICT).
                example: ''
              tax_type:
                type: string
                description: 'Type of tax: SALES, USE, VAT, or GST.'
                example: SALES
            nullable: true
        quantity:
          type: number
          format: int32
          example: 2
        tax_amount:
          type: number
          format: int32
          example: 14
        amount_excluding_tax:
          type: number
          format: int32
          example: 200
        amount_including_tax:
          type: number
          format: int32
          example: 214
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````